<solidify-base-action-dialog [titleToTranslate]="'preservationPlanning.aip.modal.extendDuration.title' | translate">
  <form (ngSubmit)="onSubmit()"
        [formGroup]="form"
        class="form"
  >
    <dlcm-shared-preservation-duration [formControl]="getFormControl(formDefinition.duration)"
                                       [readonly]="false"
    ></dlcm-shared-preservation-duration>
  </form>
</solidify-base-action-dialog>
<div class="footer"
     mat-dialog-actions
>
  <button [mat-dialog-close]=""
          cdkFocusInitial
          mat-button
          color="primary"
  >{{labelTranslateEnum.close | translate}}
  </button>
  <button (click)="onSubmit()"
          (onEnter)="onSubmit()"
          [disabled]="form.invalid || form.pristine"
          [solidifyButtonSpinner]="isLoadingObs | async"
          color="primary"
          mat-flat-button
          solidifyShortCuts
  >{{labelTranslateEnum.confirm | translate}}
  </button>
</div>

